#include "viewertaskscommon.h"
#include "ui_viewertaskscommon.h"

ViewerTasksCommon::ViewerTasksCommon(ConnectorToServer* connectorToServer, AMMtasksWidget* ammTasksWidgetIn, FIMtasksWidget* fimTasksWidgetIn, QWidget *parent) :
    QWidget(parent),
    connectorToServer(connectorToServer),
    ammTasksWidget_common(ammTasksWidgetIn),
    fimTasksWidget_common(fimTasksWidgetIn),
    ui(new Ui::ViewerTasksCommon)
{
    ui->setupUi(this);

    ui->verticalLayout_AMMcommon->addWidget(ammTasksWidget_common);
    ui->verticalLayout_FIMcommon->addWidget(fimTasksWidget_common);
}

ViewerTasksCommon::~ViewerTasksCommon()
{
    delete ui;
}

void ViewerTasksCommon::closeEvent(QCloseEvent *event)
{

}
